//****************************************************
//
//      project     PAFEE
//!      @file:     define.h
//!      @author:   Technocrats
//!      @brief:    Structure tool define header
//
//*****************************************************

#ifndef _DEFINE_H_INCLUDED
#define _DEFINE_H_INCLUDED

#include <string>
using namespace std;

#pragma warning(disable:4786)

#ifdef __cplusplus
namespace Pafee {
#endif
#ifdef NULL
#undef NULL
#endif // NULL
#define NULL 0

#ifdef TRUE
#undef TRUE
#endif // TRUE
#define TRUE 1

#ifdef FALSE
#undef FALSE
#endif // FALSE
#define FALSE 0

typedef unsigned int   BOOL;
typedef signed char    CHAR;
typedef unsigned char  UCHAR;
typedef signed short   SHORT;
typedef unsigned short USHORT;
typedef signed long    LONG;
typedef unsigned long  ULONG;

/**
 * @brief  Get line from file
 * @param  ifs ifstream class
 * @return get string
 */
string pafee_GetFileLine(
	ifstream &ifs
);

/**
 * @brief  Delete str from line top and bottom
 * @param  ifs ifstream class
 * @return get string
 */
string pafee_DeleteCharacter(
	string str,
	string deleteStr
);

#ifdef __cplusplus
}; // namespace Pafee
#endif
#endif // _DEFINE_H_INCLUDED
